Update identity provider
curl --request PATCH \
--url https://api.vidbeo.com/v2/idps/{IDENTITY_PROVIDER_ID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example",
"company": "google",
"type": "saml2",
"certificate": "----- BEGIN PUBLIC KEY -----\\nMIIII...",
"entity_id": "https://example.com/signin",
"signin_url": "https://example.com/signin"
}
'import requests
url = "https://api.vidbeo.com/v2/idps/{IDENTITY_PROVIDER_ID}"
payload = {
"name": "Example",
"company": "google",
"type": "saml2",
"certificate": "----- BEGIN PUBLIC KEY -----\nMIIII...",
"entity_id": "https://example.com/signin",
"signin_url": "https://example.com/signin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example',
company: 'google',
type: 'saml2',
certificate: '----- BEGIN PUBLIC KEY -----\nMIIII...',
entity_id: 'https://example.com/signin',
signin_url: 'https://example.com/signin'
})
};
fetch('https://api.vidbeo.com/v2/idps/{IDENTITY_PROVIDER_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "abcde12345abcde12345a",
"name": "Example",
"company": "google",
"type": "saml2",
"certificate": "----- BEGIN PUBLIC KEY -----\nMIIII...",
"entity_id": "https://example.com/signin",
"signin_url": "https://example.com/signin",
"created_by": "abcde12345abcde12345a",
"created_time": "2024-01-01T00:00:00.000Z",
"updated_by": "abcde12345abcde12345a",
"updated_time": "2024-01-01T00:00:00.000Z"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Not found"
}
]
}Identity providers
Update identity provider
Update an identity provider’s details
PATCH
/
idps
/
{IDENTITY_PROVIDER_ID}
Update identity provider
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the identity provider
Example:
"abcde12345abcde12345a"
Body
application/json
Required string length:
1 - 40Example:
"Example"
Available options:
google, okta Example:
"google"
Available options:
saml2 Example:
"saml2"
The public certificate the IDP will provide
Example:
"----- BEGIN PUBLIC KEY -----\\nMIIII..."
The entity ID your application uses
Example:
"https://example.com/signin"
The URL the IDP expects SAML2 requests to be POSTed to
Example:
"https://example.com/signin"
⌘I